// --------------------------------------------------------
// Copyright (c)
//
// contributions by author
//                  author@somewhere.net
// maintained by    maintainer
//                  maintainer@somewhere.net

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DUMMY_JOINT_STATESCOMPDEF_DUMMY_JOINT_STATES_IMPL_H
#define DUMMY_JOINT_STATESCOMPDEF_DUMMY_JOINT_STATES_IMPL_H

/************************************************************
 Dummy_joint_states_impl class header
 ************************************************************/

#include "dummy_joint_statesCompdef/Pkg_dummy_joint_statesCompdef.h"

#include "dummy_joint_statesCompdef/Dummy_joint_states.h"

namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}

namespace dummy_joint_statesCompdef {

/************************************************************/
/**
 * This is a skeleton class generated for component Dummy_joint_states
 * Copy it into the source folder as an initial base (or copy parts
 * of it whenever you add modify the component).
 * 
 */
class Dummy_joint_states_impl: public Dummy_joint_states {
public:

  /**
   * 
   * @param options 
   */
  Dummy_joint_states_impl(rclcpp::NodeOptions /*in*/options);

  /**
   * 
   */
  void activateFct();

  /**
   * 
   */
  void periodicFct();

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace dummy_joint_statesCompdef

/************************************************************
 End of Dummy_joint_states_impl class header
 ************************************************************/

#endif
